
* {
  margin: 0 ;
  font-size: 1.1rem;
  font-family: "Raleway", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body{
    background-color: rgb(144, 209, 221);  
  background-size: cover;
  background-position: bottom;
  transition: 0.5s ease;
  margin: 0;
  height: 100vh;
  width: 100vw;
 
}
  .header {
    background-color: rgb(136, 136, 255);
    padding: 2%;
    display: flex;
    flex-direction: row;
    
  }
  /* #header input {
    padding: 1%;
    margin-right: 5%;
    background-color: rgb(136, 136, 255);
    border: 0px;
    font-size: larger;
    color: rgb(255, 255, 255);
    text-decoration: none;
    width: 40 rem;
    height: 10 rem;
  } */
  /* #header button {
    padding: 1% 5%;
    background-color: rgb(90, 90, 248);
    border: 0px;
    color: rgb(12, 12, 104);
    width: 40 rem;
    height: 10 rem;
    position: absolute;
   
  }*/
  
 
  #clear {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 1%;
    margin-bottom: 5%;
    flex-direction: column;
    color: red;
    font-weight: 600;
    height: 40vh;
  }

  #weather-data{
    color: rgb(6, 6, 65);
    text-align: center;
    line-height: 3;
}
.weather{
  display: block;
  text-align: center;
  color: white;
}
.temperature{
  display: block;
  text-align: center;
  color: rgb(24, 196, 47);
  font-weight: bold;
}
.hum-pres{
  color: black;
}
 
.picture img {
  width: 200px;
}

.footer{
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  margin-top: 5%;
  margin-bottom: 5%;
}
  
.final-section {
  text-align: center;
  display: flex;
  flex-direction: column;
  width: fit-content;
 margin-top: 5%;
}

.degree-number {
  margin-left: 8%;
}
@media only screen and (max-width: 800px) {
  .footer {
    display: flex;
    flex-direction: column;
   align-content: center;
    flex-wrap: wrap;
  }

  .header {
    background-color: rgb(136, 136, 255);
    padding: 3%;
    display: flex;
    flex-direction: row;
    
  }
  .header input {
    padding: 5%;
    margin-right: 5%;
    background-color: rgb(136, 136, 255);
    border: 0px;
    font-size:small;
    color: rgb(255, 255, 255);
    text-decoration: none;
    width: 100px;
    height: 100 px;
  }
  .header button {
    padding: 1% 5%;
    background-color: rgb(90, 90, 248);
    border: 0px;
    color: rgb(12, 12, 104);
    width: 40 rem;
    height: 10 rem;
    position: absolute;
  
  }
  #weather-data{
    color: rgb(6, 6, 65);
    text-align: center;
    line-height: 3;
}
  } 
 

  

